Source-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[src/bouyer-socketcan]: src/distrib/amd64/uefi-installimage 1942630



details:   https://anonhg.NetBSD.org/src/rev/afbbe56cc693
branches:  bouyer-socketcan
changeset: 820811:afbbe56cc693
user:      nonaka <nonaka%NetBSD.org@localhost>
date:      Tue Jan 24 11:16:51 2017 +0000

description:
1942630

diffstat:

 distrib/amd64/uefi-installimage/Makefile    |   44 ++++++++++
 distrib/amd64/uefi-installimage/boot.cfg.in |   12 ++
 distrib/amd64/uefi-installimage/etc.rc      |   52 ++++++++++++
 distrib/amd64/uefi-installimage/etc.ttys    |    7 +
 distrib/amd64/uefi-installimage/install.sh  |  115 ++++++++++++++++++++++++++++
 distrib/amd64/uefi-installimage/spec.inst   |   15 +++
 6 files changed, 245 insertions(+), 0 deletions(-)

diffs (269 lines):

diff -r 3d8dbc42c71e -r afbbe56cc693 distrib/amd64/uefi-installimage/Makefile
--- /dev/null   Thu Jan 01 00:00:00 1970 +0000
+++ b/distrib/amd64/uefi-installimage/Makefile  Tue Jan 24 11:16:51 2017 +0000
@@ -0,0 +1,44 @@
+#      $NetBSD: Makefile,v 1.1.4.2 2017/01/24 11:16:51 nonaka Exp $
+
+.include <bsd.own.mk>
+
+INSTIMGBASE=   NetBSD-${DISTRIBVER}-amd64-uefi-install # gives ${IMGBASE}.img
+
+BOOTDISK=      dk1                     # unused (use GUID)
+INSTIMAGEMB?=  1280                    # for all installation binaries
+
+PRIMARY_BOOT=          bootxx_ffsv1
+SECONDARY_BOOT=                boot
+SECONDARY_BOOT_ARG=    # unnecessary
+EFIBOOT=               ${WORKDIR}/usr/mdec/bootx64.efi
+EFIBOOT+=              ${WORKDIR}/usr/mdec/bootia32.efi
+#EFIBOOT=              ${.OBJDIR}/../../../sys/arch/i386/stand/efiboot/bootx64/bootx64.efi
+#EFIBOOT+=             ${.OBJDIR}/../../../sys/arch/i386/stand/efiboot/bootia32/bootia32.efi
+
+USE_MBR=               yes
+USE_GPT=               yes
+
+CLEANFILES+=   boot.cfg
+
+prepare_md_post:
+       ${TOOL_SED}                                                     \
+           -e "s/@@MACHINE@@/${MACHINE}/"                              \
+           -e "s/@@VERSION@@/${DISTRIBVER}/"                           \
+           < ${.CURDIR}/boot.cfg.in > boot.cfg
+
+DISTRIBDIR!= cd ${.CURDIR}/../.. ; pwd
+SYSINSTDIR!= cd ${.CURDIR}/../../../usr.sbin/sysinst/arch/${MACHINE} && ${PRINTOBJDIR}
+
+SPEC_EXTRA=            ${.CURDIR}/spec.inst
+IMGFILE_EXTRA=                                                         \
+       ${.CURDIR}/etc.ttys             etc/ttys                        \
+       ${.CURDIR}/etc.rc               etc/rc                          \
+       ${.CURDIR}/install.sh           .                               \
+       ${.OBJDIR}/boot.cfg             .                               \
+       ${SYSINSTDIR}/sysinstmsgs.de    .                               \
+       ${SYSINSTDIR}/sysinstmsgs.es    .                               \
+       ${SYSINSTDIR}/sysinstmsgs.fr    .                               \
+       ${SYSINSTDIR}/sysinstmsgs.pl    .                               \
+       ${SYSINSTDIR}/sysinst           .
+
+.include "${.CURDIR}/Makefile.installimage"
diff -r 3d8dbc42c71e -r afbbe56cc693 distrib/amd64/uefi-installimage/boot.cfg.in
--- /dev/null   Thu Jan 01 00:00:00 1970 +0000
+++ b/distrib/amd64/uefi-installimage/boot.cfg.in       Tue Jan 24 11:16:51 2017 +0000
@@ -0,0 +1,12 @@
+banner=Welcome to the NetBSD/@@MACHINE@@ @@VERSION@@ installation image
+banner================================================================================
+banner=
+banner=ACPI (Advanced Configuration and Power Interface) should work on all modern
+banner=and legacy hardware.  However if you do encounter a problem while booting,
+banner=try disabling it and report a bug at http://www.NetBSD.org/.
+menu=Install NetBSD:boot netbsd
+menu=Install NetBSD (no ACPI):boot netbsd -2
+menu=Install NetBSD (no ACPI, no SMP):boot netbsd -12
+menu=Drop to boot prompt:prompt
+timeout=30
+clear=1
diff -r 3d8dbc42c71e -r afbbe56cc693 distrib/amd64/uefi-installimage/etc.rc
--- /dev/null   Thu Jan 01 00:00:00 1970 +0000
+++ b/distrib/amd64/uefi-installimage/etc.rc    Tue Jan 24 11:16:51 2017 +0000
@@ -0,0 +1,52 @@
+# $NetBSD: etc.rc,v 1.1.4.2 2017/01/24 11:16:51 nonaka Exp $
+#
+# Copyright (c) 1997 Perry E. Metzger
+# Copyright (c) 1994 Christopher G. Demetriou
+# All rights reserved.
+# 
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+# 3. All advertising materials mentioning features or use of this software
+#    must display the following acknowledgement:
+#          This product includes software developed for the
+#          NetBSD Project.  See http://www.NetBSD.org/ for
+#          information about NetBSD.
+# 4. The name of the author may not be used to endorse or promote products
+#    derived from this software without specific prior written permission.
+# 
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
+# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
+# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
+# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
+# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# 
+# <<Id: LICENSE,v 1.2 2000/06/14 15:57:33 cgd Exp>>
+
+PATH=/sbin:/bin:/usr/bin:/usr/sbin:/
+export PATH
+
+# hack to get around bugs in kernfs's rootdev/rrootdev lookup.
+ls -l /dev/* > /dev/null 2>&1
+
+mount -u /
+mount -t tmpfs tmpfs /tmp
+
+# create a gettytab to autologin and run sysinst
+echo "# Autostart sysinst" > /tmp/gettytab
+echo -n "sysinst:al=root:lo=/install.sh:im=:sp#" >> /tmp/gettytab
+stty speed >> /tmp/gettytab
+cp /tmp/gettytab /etc
+
+# done, move on to multiuser mode
+exit 0
diff -r 3d8dbc42c71e -r afbbe56cc693 distrib/amd64/uefi-installimage/etc.ttys
--- /dev/null   Thu Jan 01 00:00:00 1970 +0000
+++ b/distrib/amd64/uefi-installimage/etc.ttys  Tue Jan 24 11:16:51 2017 +0000
@@ -0,0 +1,7 @@
+# $NetBSD: etc.ttys,v 1.1.4.2 2017/01/24 11:16:51 nonaka Exp $
+#
+# re-launch the sysinst wrapper script on console
+#
+# name getty                           type    status          comments
+#
+console        "/usr/libexec/getty sysinst"    wsvt25  on secure
diff -r 3d8dbc42c71e -r afbbe56cc693 distrib/amd64/uefi-installimage/install.sh
--- /dev/null   Thu Jan 01 00:00:00 1970 +0000
+++ b/distrib/amd64/uefi-installimage/install.sh        Tue Jan 24 11:16:51 2017 +0000
@@ -0,0 +1,115 @@
+#! /bin/sh -m
+# $NetBSD: install.sh,v 1.1.4.2 2017/01/24 11:16:51 nonaka Exp $
+#
+# -
+#  Copyright (c) 2010 The NetBSD Foundation, Inc.
+#  All rights reserved.
+# 
+#  This code is derived from software contributed to The NetBSD Foundation
+#  by Martin Husemann <martin%NetBSD.org@localhost>.
+# 
+#  Redistribution and use in source and binary forms, with or without
+#  modification, are permitted provided that the following conditions
+#  are met:
+#  1. Redistributions of source code must retain the above copyright
+#     notice, this list of conditions and the following disclaimer.
+#  2. Redistributions in binary form must reproduce the above copyright
+#     notice, this list of conditions and the following disclaimer in the
+#     documentation and/or other materials provided with the distribution.
+# 
+#  THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
+#  ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
+#  TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
+#  PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
+#  BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+#  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+#  SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+#  INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+#  CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+#  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+#  POSSIBILITY OF SUCH DAMAGE.
+
+
+# setup basic environment
+PATH=/sbin:/bin:/usr/bin:/usr/sbin:/
+export PATH
+
+termfile=/tmp/sysinst.term
+
+# Check if we are on a framebuffer or on serial console and default
+# the terminal type accordingly.
+# There is no /var/db/dev.cdb, so sysctl might not map the devicename properly;
+# ttyE0 is 90,0 -> 0x5a00
+case $(sysctl -nx kern.consdev) in
+ 002f000000000000)
+    TERM=wsvt25
+    ;;
+ *)
+    if [ -r ${termfile} ]; then
+       . ${termfile}
+    else
+       TERM=vt220
+    fi
+    ;;
+esac
+
+export TERM
+HOME=/
+export HOME
+BLOCKSIZE=1k
+export BLOCKSIZE
+EDITOR=ed
+export EDITOR
+SHELL=/bin/sh
+export SHELL
+
+umask 022
+
+stty newcrt werase ^W intr ^C kill ^U erase ^?
+if [ $TERM != "wsvt25" ]; then
+       cat << "EOM"
+
+
+You are using a serial console, we do not know your terminal emulation.
+Please select one, typical values are:
+
+       vt100
+       ansi
+       xterm
+
+EOM
+       echo -n "Terminal type (just hit ENTER for '$TERM'): "
+       read ans
+       if [ -n "$ans" ];then
+           TERM=$ans
+       fi
+fi
+
+# run the installation or upgrade script.
+cd /
+cmd=./sysinst
+
+while [ -n "${cmd}" ]
+do
+       ${cmd}
+       if [ $? = 4 ]; then
+               echo "Oops, something went wrong - we will try again"
+               exit
+       else
+               if [ -n "$(jobs)" ]; then
+                       tput clear
+                       echo "You have stopped sysinst, return to it by" \
+                               "typing 'exit' or ^D."
+                       ${SHELL} -i
+                       cmd="fg"
+               else
+                       cmd=""
+               fi
+       fi
+done
+
+# remember terminal type, now that we know it for sure
+echo "TERM=${TERM}" > ${termfile}
+echo
+echo "To return to the installer, quit this shell by typing 'exit' or ^D."
+exec ${SHELL}
diff -r 3d8dbc42c71e -r afbbe56cc693 distrib/amd64/uefi-installimage/spec.inst
--- /dev/null   Thu Jan 01 00:00:00 1970 +0000
+++ b/distrib/amd64/uefi-installimage/spec.inst Tue Jan 24 11:16:51 2017 +0000
@@ -0,0 +1,15 @@
+# $NetBSD: spec.inst,v 1.1.4.2 2017/01/24 11:16:51 nonaka Exp $
+./mnt2                 type=dir mode=0755 uname=root gname=wheel
+./targetroot           type=dir mode=0755 uname=root gname=wheel
+
+./install.sh           type=file mode=0755 uname=root gname=wheel
+./sysinst              type=file mode=0755 uname=root gname=wheel
+./sysinstmsgs.de       type=file mode=0444 uname=root gname=wheel
+./sysinstmsgs.es       type=file mode=0444 uname=root gname=wheel
+./sysinstmsgs.fr       type=file mode=0444 uname=root gname=wheel
+./sysinstmsgs.pl       type=file mode=0444 uname=root gname=wheel
+
+# for sysinst "install from local directory" default
+./release              type=link mode=0755 uname=root gname=wheel link=.
+
+# XXX what to do for files in ${RELEASEMACHINEDIR}?



Home | Main Index | Thread Index | Old Index